--
-- https://www.brentozar.com/archive/2014/04/collecting-detailed-performance-measurements-extended-events/
-- https://gist.github.com/peschkaj/05009bc84473041be714
--

USE [master];
GO

CREATE EVENT SESSION [query_performance] 
ON SERVER 
	ADD EVENT sqlos.wait_info(
		ACTION (sqlserver.client_app_name,sqlserver.client_hostname,sqlserver.database_id,sqlserver.database_name,sqlserver.plan_handle,sqlserver.query_hash,sqlserver.query_plan_hash,sqlserver.session_id,sqlserver.sql_text)
		WHERE ([package0].[greater_than_uint64]([sqlserver].[database_id],(4)) AND [package0].[equal_boolean]([sqlserver].[is_system],(0)))),
	
	ADD EVENT sqlserver.sp_statement_completed(SET collect_object_name=(1),collect_statement=(1)
		ACTION (sqlserver.client_app_name,sqlserver.client_hostname,sqlserver.database_id,sqlserver.database_name,sqlserver.plan_handle,sqlserver.query_hash,sqlserver.query_plan_hash,sqlserver.session_id)
		WHERE ([package0].[greater_than_uint64]([sqlserver].[database_id],(4)) AND [package0].[equal_boolean]([sqlserver].[is_system],(0)))),
	
	ADD EVENT sqlserver.sql_statement_completed(
		ACTION (sqlserver.client_app_name,sqlserver.client_hostname,sqlserver.database_id,sqlserver.database_name,sqlserver.plan_handle,sqlserver.query_hash,sqlserver.query_plan_hash,sqlserver.session_id)
		WHERE ([package0].[greater_than_uint64]([sqlserver].[database_id],(4)) AND [package0].[equal_boolean]([sqlserver].[is_system],(0)))) 
	
	ADD TARGET package0.event_file
		(
			SET filename=N'C:\Demos\Sessions\query_performance.xel',
			max_file_size=(64),
			max_rollover_files=(5),
			metadatafile=N'C:\Demos\Sessions\query_performance.xem'
		)
	WITH 
		(
			MAX_MEMORY=4096 KB,
			EVENT_RETENTION_MODE=ALLOW_SINGLE_EVENT_LOSS,
			MAX_DISPATCH_LATENCY=5 SECONDS,
			MAX_EVENT_SIZE=0 KB,
			MEMORY_PARTITION_MODE=NONE,
			TRACK_CAUSALITY=OFF,
			STARTUP_STATE=OFF
		)
GO

ALTER EVENT SESSION query_performance ON SERVER 
STATE = START;
GO